OverviewOverview

Overview

Fetch aggregated overview data for the analytics page.

curl -X GET "https://api.nexus.usehardal.com/analytics/overview/?timeframe=today&startDate=example_string&endDate=example_string&timezone=example_string&limit=example_string&eventName=John%20Doe&targetSignalId=example_string&interval=minute&isCompareEnabled=false&compareStartDate=example_string&compareEndDate=example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY"
{
  "success": true,
  "data": {
    "range": {
      "startDate": "2026-06-23",
      "endDate": "2026-06-30",
      "timezone": "Europe/Istanbul"
    },
    "events": [
      {
        "eventName": "identify",
        "eventCount": 927586,
        "sessions": 865119,
        "visitors": 367478
      },
      {
        "eventName": "page_view",
        "eventCount": 763909,
        "sessions": 720993,
        "visitors": 330620
      },
      {
        "eventName": "view_item",
        "eventCount": 32518,
        "sessions": 32368,
        "visitors": 29764
      }
    ],
    "summary": {
      "totalEventCount": 1855172,
      "totalVisitors": 854505,
      "totalSessions": 1749429
    },
    "topPages": [
      {
        "pageTitle": "Shoes",
        "count": 51526,
        "visitors": 45336
      },
      {
        "pageTitle": "Pricing",
        "count": 51515,
        "visitors": 45284
      },
      {
        "pageTitle": "Electronics",
        "count": 51243,
        "visitors": 45187
      }
    ],
    "topReferrers": [
      {
        "referrerDomain": "google.com",
        "count": 148547,
        "visitors": 109119
      },
      {
        "referrerDomain": "instagram.com",
        "count": 98730,
        "visitors": 79315
      },
      {
        "referrerDomain": "facebook.com",
        "count": 98188,
        "visitors": 78593
      }
    ],
    "topLocations": [
      {
        "country": "United States",
        "count": 115100,
        "visitors": 89272
      },
      {
        "country": "Germany",
        "count": 76809,
        "visitors": 64075
      },
      {
        "country": "Turkey",
        "count": 76613,
        "visitors": 63941
      }
    ],
    "browserDistribution": [
      {
        "name": "Chrome",
        "eventCount": 357720,
        "visitors": 206657
      },
      {
        "name": "Safari",
        "eventCount": 306951,
        "visitors": 185127
      },
      {
        "name": "Edge",
        "eventCount": 51358,
        "visitors": 45323
      }
    ],
    "deviceDistribution": [
      {
        "name": "desktop",
        "eventCount": 255889,
        "visitors": 164202
      },
      {
        "name": "mobile",
        "eventCount": 255777,
        "visitors": 164027
      },
      {
        "name": "tablet",
        "eventCount": 255558,
        "visitors": 163028
      }
    ],
    "osDistribution": [
      {
        "name": "Android",
        "eventCount": 255388,
        "visitors": 163838
      },
      {
        "name": "Windows",
        "eventCount": 153558,
        "visitors": 112042
      },
      {
        "name": "iOS",
        "eventCount": 128079,
        "visitors": 97270
      }
    ],
    "timeSeries": [
      {
        "date": "2026-06-23 00:00:00",
        "eventCount": 4090,
        "visitors": 4066,
        "sessions": 4070,
        "bounceRate": 0,
        "avgDuration": 0
      },
      {
        "date": "2026-06-23 01:00:00",
        "eventCount": 4109,
        "visitors": 4094,
        "sessions": 4096,
        "bounceRate": 0,
        "avgDuration": 0
      },
      {
        "date": "2026-06-23 02:00:00",
        "eventCount": 4095,
        "visitors": 4070,
        "sessions": 4076,
        "bounceRate": 0,
        "avgDuration": 0
      }
    ]
  },
  "timestamp": "2026-06-30T12:09:49.522Z",
  "path": "/analytics/overview/"
}
GET
/analytics/overview/
GET
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: Authorization)
Authorizationstring
Required

API key (sent in header)

query
timeframestring
Required

Required preset timeframe for the query. Use custom together with startDate and endDate when querying a custom date range.

Options: today, yesterday, last7days, last30days, custom
query
startDatestring

Start date (YYYY-MM-DD)

query
endDatestring

End date (YYYY-MM-DD)

query
timezonestring

Timezone for date filtering (default: Europe/Istanbul)

query
limitstring

Maximum number of rows to return for top lists

query
eventNamestring

Filter metrics by a specific event name

query
targetSignalIdstring

Target signal ID for an authorized mobile app or related signal in the same project

query
intervalstring

Interval for data aggregation (minute, hour, day, week, month)

Options: minute, hour, day, week, month
query
isCompareEnabledstring

Enable comparison range calculations (default: false)

query
compareStartDatestring

Comparison start date (YYYY-MM-DD)

query
compareEndDatestring

Comparison end date (YYYY-MM-DD)

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

API Key for authentication. Provide your API key in the header.

Query Parameters

timeframestring
Required

Required preset timeframe for the query. Use custom together with startDate and endDate when querying a custom date range.

Allowed values:todayyesterdaylast7dayslast30dayscustom
startDatestring

Start date (YYYY-MM-DD)

endDatestring

End date (YYYY-MM-DD)

timezonestring

Timezone for date filtering (default: Europe/Istanbul)

limitstring

Maximum number of rows to return for top lists

eventNamestring

Filter metrics by a specific event name

targetSignalIdstring

Target signal ID for an authorized mobile app or related signal in the same project

intervalstring

Interval for data aggregation (minute, hour, day, week, month)

Allowed values:minutehourdayweekmonth
isCompareEnabledstring

Enable comparison range calculations (default: false)

compareStartDatestring

Comparison start date (YYYY-MM-DD)

compareEndDatestring

Comparison end date (YYYY-MM-DD)

Responses

Successful response.

Was this page helpful?